package envoy.client;

import java.util.ArrayList;
import java.util.List;

import javax.swing.DefaultListModel;

import envoy.schema.Message;

public class Chat {

	public long chatPartnerID;
	public List<Message> messageList;
	DefaultListModel chatModel;
	public Chat() {
		chatPartnerID = 0;
		chatModel = new DefaultListModel();
		messageList = new ArrayList<Message>();
	}
	
	public void setUserID(long givenUserID) {
		chatPartnerID = givenUserID;
	}
	
	public long getUserID() {
		return chatPartnerID;
	}
	
	public int getSize() {
		return chatModel.getSize();
	}
	
	public void addMessage(String message) {
		chatModel.addElement(message);
	}
	
	public String getMessageAt(int index) {
		return (String) chatModel.getElementAt(index);
	}
	
	@SuppressWarnings("unchecked")
	public DefaultListModel<String> getModel() {
		return chatModel;
	}
	
	public int getListSize() {
		return messageList.size();
	}
	
	public void addMessageElement(Message message) {
		messageList.add(message);
	}
	
	public Message getMessageElement(int index) {
		return messageList.get(index);
	}
	
}
